# Couenne::CouenneRecordBestSol Class Reference

`#include <CouenneRecordBestSol.hpp>`

List of all members.

## Public Member Functions
| CouenneRecordBestSol ()
| Constructor.
| CouenneRecordBestSol (const CouenneRecordBestSol &other)
| Copy constructor.
| ~CouenneRecordBestSol ()
| Destructor.
int | getCardInitDom () const
bool * | getInitIsInt () const
std::vector< int > | getListInt () const
void | setInitIsInt (const bool *givenIsInt, const int givenCard)
CouNumber * | getInitDomLb () const
void | setInitDomLb (const CouNumber *givenLb, const int givenCard)
CouNumber * | getInitDomUb () const
void | setInitDomUb (const CouNumber *givenUb, const int givenCard)
void | setHasSol (const bool givenHasSol)
bool | getHasSol () const
void | setSol (const double *givenSol, const int givenCard, const double givenMaxViol)
int | getCardSol () const
void | setCardSol (const int givenCard)
double * | getSol () const
double | getMaxViol () const
void | setVal (const double givenVal)
double | getVal ()
void | update (const double *givenSol, const int givenCard, const double givenVal, const double givenMaxViol)
void | update ()
int | compareAndSave (const double *solA, const double solAVal, const double solAMaxViol, const bool solAIsFeas, const double *solB, const double solBVal, const double solBMaxViol, const bool solBIsFeas, const int cardSol, const double precision)
int | getCardModSol () const
double * | getModSol (const int expectedCard)
double | getModSolVal () const
double | getModSolMaxViol () const
void | setModSol (const double *givenModSol, const int givenModCard, const double givenModVal, const double givenModMaxViol)
void | printSol (FILE *fsol) const
## Public Attributes
int | cardInitDom
bool * | initIsInt
std::vector< int > | listInt
CouNumber * | initDomLb
CouNumber * | initDomUb
bool | hasSol
int | cardSol
double * | sol
double | val
double | maxViol
int | cardModSol
double * | modSol
double | modSolVal
double | modSolMaxViol

## Detailed Description

Definition at line 19 of file CouenneRecordBestSol.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneRecordBestSol::CouenneRecordBestSol | ( |  | ) |

Constructor.

Couenne::CouenneRecordBestSol::CouenneRecordBestSol | ( | const CouenneRecordBestSol & | other | ) |

Copy constructor.

Couenne::CouenneRecordBestSol::~CouenneRecordBestSol | ( |  | ) |

Destructor.

## Member Function Documentation

int Couenne::CouenneRecordBestSol::getCardInitDom | ( |  | ) | const`[inline]`

Definition at line 61 of file CouenneRecordBestSol.hpp.

References cardInitDom.

bool* Couenne::CouenneRecordBestSol::getInitIsInt | ( |  | ) | const`[inline]`

Definition at line 62 of file CouenneRecordBestSol.hpp.

References initIsInt.

std::vector<int> Couenne::CouenneRecordBestSol::getListInt | ( |  | ) | const`[inline]`

Definition at line 63 of file CouenneRecordBestSol.hpp.

References listInt.

void Couenne::CouenneRecordBestSol::setInitIsInt | ( | const bool * | givenIsInt,
|  | const int | givenCard |
| ) |  |  |

CouNumber* Couenne::CouenneRecordBestSol::getInitDomLb | ( |  | ) | const`[inline]`

Definition at line 66 of file CouenneRecordBestSol.hpp.

References initDomLb.

void Couenne::CouenneRecordBestSol::setInitDomLb | ( | const CouNumber * | givenLb,
|  | const int | givenCard |
| ) |  |  |

CouNumber* Couenne::CouenneRecordBestSol::getInitDomUb | ( |  | ) | const`[inline]`

Definition at line 68 of file CouenneRecordBestSol.hpp.

References initDomUb.

void Couenne::CouenneRecordBestSol::setInitDomUb | ( | const CouNumber * | givenUb,
|  | const int | givenCard |
| ) |  |  |

void Couenne::CouenneRecordBestSol::setHasSol | ( | const bool | givenHasSol | ) |

bool Couenne::CouenneRecordBestSol::getHasSol | ( |  | ) | const`[inline]`

Definition at line 72 of file CouenneRecordBestSol.hpp.

References hasSol.

void Couenne::CouenneRecordBestSol::setSol | ( | const double * | givenSol,
|  | const int | givenCard,
|  | const double | givenMaxViol |
| ) |  |  |

int Couenne::CouenneRecordBestSol::getCardSol | ( |  | ) | const`[inline]`

Definition at line 75 of file CouenneRecordBestSol.hpp.

References cardSol.

void Couenne::CouenneRecordBestSol::setCardSol | ( | const int | givenCard | ) |

double* Couenne::CouenneRecordBestSol::getSol | ( |  | ) | const`[inline]`

Definition at line 77 of file CouenneRecordBestSol.hpp.

References sol.

double Couenne::CouenneRecordBestSol::getMaxViol | ( |  | ) | const`[inline]`

Definition at line 78 of file CouenneRecordBestSol.hpp.

References maxViol.

void Couenne::CouenneRecordBestSol::setVal | ( | const double | givenVal | ) |

double Couenne::CouenneRecordBestSol::getVal | ( |  | ) | `[inline]`

Definition at line 80 of file CouenneRecordBestSol.hpp.

References val.

void Couenne::CouenneRecordBestSol::update | ( | const double * | givenSol,
|  | const int | givenCard,
|  | const double | givenVal,
|  | const double | givenMaxViol |
| ) |  |  |

void Couenne::CouenneRecordBestSol::update | ( |  | ) |

int Couenne::CouenneRecordBestSol::compareAndSave | ( | const double * | solA,
|  | const double | solAVal,
|  | const double | solAMaxViol,
|  | const bool | solAIsFeas,
|  | const double * | solB,
|  | const double | solBVal,
|  | const double | solBMaxViol,
|  | const bool | solBIsFeas,
|  | const int | cardSol,
|  | const double | precision |
| ) |  |  |

int Couenne::CouenneRecordBestSol::getCardModSol | ( |  | ) | const`[inline]`

Definition at line 103 of file CouenneRecordBestSol.hpp.

References cardModSol.

double* Couenne::CouenneRecordBestSol::getModSol | ( | const int | expectedCard | ) |

double Couenne::CouenneRecordBestSol::getModSolVal | ( |  | ) | const`[inline]`

Definition at line 105 of file CouenneRecordBestSol.hpp.

References modSolVal.

double Couenne::CouenneRecordBestSol::getModSolMaxViol | ( |  | ) | const`[inline]`

Definition at line 106 of file CouenneRecordBestSol.hpp.

References modSolMaxViol.

void Couenne::CouenneRecordBestSol::setModSol | ( | const double * | givenModSol,
|  | const int | givenModCard,
|  | const double | givenModVal,
|  | const double | givenModMaxViol |
| ) |  |  |

void Couenne::CouenneRecordBestSol::printSol | ( | FILE * | fsol | ) | const

## Member Data Documentation

int Couenne::CouenneRecordBestSol::cardInitDom

Definition at line 24 of file CouenneRecordBestSol.hpp.

Referenced by getCardInitDom().

bool* Couenne::CouenneRecordBestSol::initIsInt

Definition at line 26 of file CouenneRecordBestSol.hpp.

Referenced by getInitIsInt().

std::vector<int> Couenne::CouenneRecordBestSol::listInt

Definition at line 28 of file CouenneRecordBestSol.hpp.

Referenced by getListInt().

CouNumber* Couenne::CouenneRecordBestSol::initDomLb

Definition at line 30 of file CouenneRecordBestSol.hpp.

Referenced by getInitDomLb().

CouNumber* Couenne::CouenneRecordBestSol::initDomUb

Definition at line 32 of file CouenneRecordBestSol.hpp.

Referenced by getInitDomUb().

bool Couenne::CouenneRecordBestSol::hasSol

Definition at line 35 of file CouenneRecordBestSol.hpp.

Referenced by getHasSol().

int Couenne::CouenneRecordBestSol::cardSol

Definition at line 37 of file CouenneRecordBestSol.hpp.

Referenced by getCardSol().

double* Couenne::CouenneRecordBestSol::sol

Definition at line 39 of file CouenneRecordBestSol.hpp.

Referenced by getSol().

double Couenne::CouenneRecordBestSol::val

Definition at line 41 of file CouenneRecordBestSol.hpp.

Referenced by getVal().

double Couenne::CouenneRecordBestSol::maxViol

Definition at line 43 of file CouenneRecordBestSol.hpp.

Referenced by getMaxViol().

int Couenne::CouenneRecordBestSol::cardModSol

Definition at line 46 of file CouenneRecordBestSol.hpp.

Referenced by getCardModSol().

double* Couenne::CouenneRecordBestSol::modSol

Definition at line 47 of file CouenneRecordBestSol.hpp.

double Couenne::CouenneRecordBestSol::modSolVal

Definition at line 48 of file CouenneRecordBestSol.hpp.

Referenced by getModSolVal().

double Couenne::CouenneRecordBestSol::modSolMaxViol

Definition at line 49 of file CouenneRecordBestSol.hpp.

Referenced by getModSolMaxViol().

The documentation for this class was generated from the following file:

- CouenneRecordBestSol.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines